# Interface ComponentOptions

Defines a component's configuration object.

interface ComponentOptions {
bindings?: Record<string, string>;
controller?: string | Injectable;
controllerAs?: string;
require?: Record<string, string>;
template?: string | Injectable;
templateUrl?: string | Injectable;
transclude?: boolean | Record<string, string>;
}

##### Index

### Properties

bindings?
controller?
controllerAs?
require?
template?
templateUrl?
transclude?

## Properties

### `Optional` bindings

bindings?: Record<string, string>

Binding definitions (e.g., `@`, `=`, `<`)

### `Optional` controller

controller?: string | Injectable

Controller function or injectable string reference

### `Optional` controllerAs

controllerAs?: string

Alias name for the controller in templates

### `Optional` require

require?: Record<string, string>

Required controllers from other directives

### `Optional` template

template?: string | Injectable

Inline HTML template

### `Optional` templateUrl

templateUrl?: string | Injectable

URL of the HTML template

### `Optional` transclude

transclude?: boolean | Record<string, string>

Enable transclusion or specify named slots